# PSF-LoginServer - master - net.psforever.objects.serverobject.damage.AggravatedBehavior
PSF - LoginServer - master - net.psforever.objects.serverobject.damage.AggravatedBehavior
Keywords: PSF LoginServer master net.psforever.objects.serverobject.damage.AggravatedBehavior

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package damage
  Definition Classes
    serverobject
- AggravatedBehavior
- Damageable
- DamageableAmenity
- DamageableEntity
- DamageableMountable
- DamageableVehicle
- DamageableWeaponTurret

t

net.psforever.objects.serverobject.damage

# AggravatedBehavior 

###
Companion object AggravatedBehavior

#### trait AggravatedBehavior extends AnyRef

Self Type
  AggravatedBehavior with Actor with Damageable
Source
  AggravatedBehavior.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
TurretControl, PlayerControl, DamageableVehicle, DamageableWeaponTurret, FacilityTurretControl, AmsControl, AntControl, ApcControl, CargoCarrierControl, DeployingVehicleControl, RouterControl, VehicleControl

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AggravatedBehavior
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Abstract Value Members

1.  abstract def AggravatedObject: Target

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def AggravatedReaction: Boolean
5.  def AggravationCleanup(id: Long): Unit
6.  def CleanupAggravationTimer(id: Long): Unit
7.  def EndAllAggravation(): Unit
8.  def RemoveAggravatedEntry(id: Long): Aura
9.  def TryAggravationEffectActivate(data: DamageResult): Option[AggravatedDamage]
10.  val aggravatedBehavior: (AggravatedBehavior.this)#Receive
11.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
12.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
15.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
16.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
23.  def toString(): String
    Definition Classes
      AnyRef → Any
24.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
25.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
26.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped